<?php

namespace Myquest\Controller;

use Doctrine\DBAL\Connection;
use Zeedhi\Framework\DataSource\DataSet;

class InformativoController {
    
    protected $entityManager;

    public function __construct($novoCodigo, $entityManager, $loginService) {
        $this->novoCodigo = $novoCodigo;
        $this->entityManager = $entityManager;
        $this->loginService = $loginService;
    }

    public function getInformative($request, $response) {
        $row = $request->getRow();
        $inform = $this->loginService->getInforData($row['NRORG'], $row['CDFILIAL'], null, null);
        $response->addDataSet(new DataSet('informativo', $inform));
    }
}